﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="CS.aspx.cs" Inherits="CS" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Mutaually Exclusive CheckBox Examples</title>
    <style type="text/css">
        body { font-family: Arial; font-size: 10pt; }
    </style>
</head>
<body>
    <form id="form1" runat="server">
        <div>
            <h3>Mutually Exclusive CheckBoxList</h3>
            <hr />
            <u>Client Side</u>
            <asp:CheckBoxList ID="CheckBoxList1" runat="server">
                <asp:ListItem Text="Mango" Value="1" onclick="MutExChkList(this);">
                </asp:ListItem>
                <asp:ListItem Text="Apple" Value="2" onclick="MutExChkList(this);">
                </asp:ListItem>
                <asp:ListItem Text="Banana" Value="3" onclick="MutExChkList(this);">
                </asp:ListItem>
                <asp:ListItem Text="Guava" Value="4" onclick="MutExChkList(this);">
                </asp:ListItem>
                <asp:ListItem Text="Orange" Value="5" onclick="MutExChkList(this);">
                </asp:ListItem>
            </asp:CheckBoxList>
            <hr />
            <u>Server Side</u>
            <asp:CheckBoxList ID="CheckBoxList2" runat="server">
                <asp:ListItem Text="Mango" Value="1"></asp:ListItem>
                <asp:ListItem Text="Apple" Value="2"></asp:ListItem>
                <asp:ListItem Text="Banana" Value="3"></asp:ListItem>
                <asp:ListItem Text="Guava" Value="4"></asp:ListItem>
                <asp:ListItem Text="Orange" Value="5"></asp:ListItem>
            </asp:CheckBoxList>
        </div>
    </form>
    <script type="text/javascript">
        function MutExChkList(chk) {
            var chkList = chk.parentNode.parentNode.parentNode;
            var chks = chkList.getElementsByTagName("input");
            for (var i = 0; i < chks.length; i++) {
                if (chks[i] != chk && chk.checked) {
                    chks[i].checked = false;
                }
            }
        }
    </script>
</body>
</html>
